Subject: Re: linux-next: build warnings from the build of Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 28 Aug 2018 07:23:33 +1000

Hi Masami,

On Sun, 26 Aug 2018 17:10:58 +0900 Masami Hiramatsu <[email-masked]> wrote:
>
> Hmm, unfortunately, I couldn't reproduce the ".data..LPBX1" error with
> my gcc-8.1.0 + ld-2.30 distributed at https://cdn.kernel.org/pub/tools/crosstool/.
> Could you also try to enable CONFIG_GCOV_PROFILE_ALL=y and build the kernel?
> If it causes similar error, it should be caused by gcov support.

Using the allyesconfig as a base and disabling CONFIG_COMPILE_TESTING
allowed me to enable COMFIG_GCOV_PROFILE_ALL, but that just generated a
lot more messages.  Some about data..Lusan sections (I think).

-- 
Cheers,
Stephen Rothwell